<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class ProductStatusEnum
{
    public const NEW = 1;
    public const AGREED = 2;
    public const REJECTED = 3;
    public const LOCKED = 4;
    public const CLOSED = 5;
    public const DELETED = 6;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::NEW,
            self::AGREED,
            self::REJECTED,
            self::LOCKED,
            self::CLOSED,
            self::DELETED,
        ];
    }
}
